# Method: enterprises.create

- [HTTP request](https://developers.google.com/android/management/reference/rest/v1/enterprises/create#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/android/management/reference/rest/v1/enterprises/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android/management/reference/rest/v1/enterprises/create#body.request_body)
- [Response body](https://developers.google.com/android/management/reference/rest/v1/enterprises/create#body.response_body)
- [Authorization scopes](https://developers.google.com/android/management/reference/rest/v1/enterprises/create#body.aspect)
- [Try it!](https://developers.google.com/android/management/reference/rest/v1/enterprises/create#try-it)

Creates an enterprise. This is the last step in the [enterprise signup flow](https://developers.google.com/android/management/create-enterprise). See also: `https://developers.google.com/android/management/reference/rest/v1/enterprises#SigninDetail`

### HTTP request

`POST https://androidmanagement.googleapis.com/v1/enterprises`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `projectId` | `string` The ID of the Google Cloud Platform project which will own the enterprise. |
| `signupUrlName` | `string` The name of the [`SignupUrl`](https://developers.google.com/android/management/reference/rest/v1/signupUrls#SignupUrl) used to sign up for the enterprise. Set this when creating a [customer-managed enterprise](https://developers.google.com/android/management/create-enterprise#customer-managed_enterprises) and not when creating a deprecated [EMM-managed enterprise](https://developers.google.com/android/management/create-enterprise#emm-managed_enterprises). |
| `enterpriseToken` | `string` The enterprise token appended to the callback URL. Set this when creating a [customer-managed enterprise](https://developers.google.com/android/management/create-enterprise#customer-managed_enterprises) and not when creating a deprecated [EMM-managed enterprise](https://developers.google.com/android/management/create-enterprise#emm-managed_enterprises). |
| `agreementAccepted (deprecated)` | `boolean` Whether the enterprise admin has seen and agreed to the [managed Google Play Agreement](https://www.android.com/enterprise/terms/). Do not set this field for any [customer-managed enterprise](https://developers.google.com/android/management/create-enterprise#customer-managed_enterprises). Set this to field to true for all [EMM-managed enterprises](https://developers.google.com/android/management/create-enterprise#emm-managed_enterprises). |

### Request body

The request body contains an instance of `https://developers.google.com/android/management/reference/rest/v1/enterprises#Enterprise`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/android/management/reference/rest/v1/enterprises#Enterprise`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidmanagement`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).